Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://chat.botpress.cloud/{webhookUrl}/users/get-or-create \ --header 'Content-Type: application/json' \ --header 'x-user-key: <x-user-key>' \ --data ' { "name": "<string>", "pictureUrl": "<string>", "profile": "<string>" } '
{ "user": { "id": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "name": "<string>", "pictureUrl": "<string>", "profile": "<string>" } }
Get or create a new User
Authentication Key
User data
Name of the User (not a unique identifier)
Picture url of the User
Custom profile data of the User encoded as a string
1000
Returns a User
The user object represents someone interacting with the bot within a specific integration. The same person interacting with a bot in slack and messenger will be represented with two different users.
Show child attributes
Was this page helpful?